Page MenuHomePhabricator

Special:MergeHistory success message should include redirect=no on the previous title
Closed, ResolvedPublic

Description

Right now after preforming a history merge the previous title, and the current title are both shown in the message:
X revisions of A successfully merged into B.
However it is not possible to visit page A thru the link provided. If you want to go to A for some reason (delete/purge ect) you have to click A, then click on the redirected from... banner which will return you to A where you can actually interact with the page.

Event Timeline

Betacommand raised the priority of this task from to Needs Triage.
Betacommand updated the task description. (Show Details)
Betacommand set Security to None.
Betacommand added a subscriber: Betacommand.
Aklapper triaged this task as Lowest priority.Mar 23 2015, 5:38 PM

Change 241703 had a related patch set uploaded (by Glaisher):
SpecialMergeHistory: add redirect=no on target parameter on success message

https://gerrit.wikimedia.org/r/241703

Glaisher claimed this task.Sep 28 2015, 5:44 PM

Change 241703 merged by jenkins-bot:
SpecialMergeHistory: add redirect=no on target parameter on success message

https://gerrit.wikimedia.org/r/241703

Glaisher closed this task as Resolved.Sep 29 2015, 2:56 PM